> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List compliance checks



## OpenAPI

````yaml /openapi.json get /compliance/checks
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /compliance/checks:
    get:
      tags:
        - compliance
      summary: List compliance checks
      operationId: ComplianceController_listChecks
      parameters:
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: entityId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListComplianceChecksOutput'
components:
  schemas:
    ListComplianceChecksOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/ComplianceCheckDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    ComplianceCheckDto:
      type: object
      properties:
        type:
          type: string
        id:
          type: string
        createdAt:
          format: date-time
          type: string
        entityId:
          type: string
        target:
          type: string
        provider:
          type: string
        searchKey:
          type: string
        alertIds:
          description: Array of alert IDs associated with this check
          type: array
          items:
            type: string
      required:
        - type
        - id
        - createdAt
        - entityId
        - target
        - provider
        - searchKey
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page

````